{
	"name": "grid/manager/stlduct/product-lot/allocate-material/product-lot.json",
	"columns": [
		{
			"field": "prl.product_id",
			"name": "Tuote",
			"width": 100
		},
		{
			"field": "prl.order_id",
			"name": "Valm. erä - kpl",
			"width": 100
		},
		{
			"name": "Raaka-aine",
			"variable": "material_id",
			"width": 100
		},
		{
			"field": "prl.serial_number",
			"name": "Materiaalitunniste",
			"width": 210
		},
		{
			"field": "prl.create_time",
			"format": "dd.mm.yy hh:mm:ss",
			"name": "Mat. tunn. lisäys",
			"width": 110
		},
		{
			"name": "Sarjanumero",
			"variable": "serial_number",
			"width": 90
		},
		{
			"name": "Sarjan. lisäys",
			"variable": "serial_number_dt",
			"width": 100
		},
		{
			"field": "prl.amount",
			"name": "Määrä",
			"width": 55
		},
		{
			"field": "prl.unit",
			"hide": true,
			"name": "Yks.",
			"width": 50
		},
		{
			"field": "prl.product_lot_type",
			"name": "Tyyppi",
			"width": 60
		},
		{
			"field": "prl.product_lot_state",
			"name": "Tila",
			"width": 50
		},
		{
			"field": "prl.info",
			"name": "Lisätietoja",
			"width": 80
		},
		{
			"field": "prl.record_id",
			"hide": true,
			"name": "ID",
			"width": 250
		}
	],
	"columns-not-in-use": [
		{
			"field": "pr.name",
			"info": "product_lot is in postgre and product in 4D, that's why sql can't work between them",
			"name": "Nimi",
			"width": 135
		}
	],
	"options": {
		"grid_option": {
			"cell_class_rulesX": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && x != ncRecData(data.link_rec, colDef.field)"
			},
			"row_class_rules": {
				"virtual_product_lot": "data.prl.product_lot_type === ''"
			}
		}
	}
}
